/* BLOCK: Guide Carousels */

.block-guide-carousels .swiper {
    margin-inline: calc(-1 * var(--offset, 0px));
    padding-inline: var(--offset, 0px);
    overflow: visible;
}

.block-guide-carousels .carousel__head {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 0.9375rem;
    margin-bottom: 3.125rem;
}

.block-guide-carousels .carousel__title {
    margin-right: auto;
    max-width: 42.75rem;
}

.block-guide-carousels .swiper-navigation:not(:has(button:not([disabled]))) {
    display: none;
}

.block-guide-carousels .block-head {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 6.25rem;
}

.block-guide-carousels .block-head h2 {
    margin-bottom: 3.75rem;
}

.block-guide-carousels .carousel__title {
    display: flex;
    flex-wrap: nowrap;
    gap: 1.25rem;
    align-items: center;
}

.block-guide-carousels .carousel__title svg {
    width: 1.3125rem;
    color: var(--c-tertiary);
}

.block-guide-carousels .swiper-slide {
    padding: 1.875rem;
    border-radius: 1.5625rem;
    display: flex;
    flex-direction: column;
    height: auto;
    min-height: 15rem;
    /* aspect-ratio: 1.64; */
}

.block-guide-carousels .swiper-slide .post__title.h6 {
    text-decoration: none;
}

.block-guide-carousels .swiper-slide .post__excerpt {
    margin: 0;
    margin-top: 1.5625rem;
    margin-bottom: 2.1875rem;
}

.block-guide-carousels .swiper-slide .post__tags {
    display: flex;
    align-items: center;
    gap: 0.625rem;
    margin-top: auto;
}

.block-guide-carousels .swiper-slide .post__tag {
    padding: 0.625rem 0.75rem;
    border-radius: 0.75rem;
    background-color: var(--c-bg-light-tint-1);
    color: var(--c-primary);
    font-size: var(--font-13-11);
    font-weight: 600;
}

.block-guide-carousels .swiper-slide .post__tag--icon {
    flex-shrink: 0;
}

.block-guide-carousels .divider {
    width: 100%;
    border: none;
    height: 1px;
    background-color: rgb(from var(--c-text-dark) r g b / 0.15);
    margin: 4.6875rem 0;
}

@media screen and (width <= 920px) {
    .block-guide-carousels .block-head .text-content {
        max-width: 50vw;
    }
    .block-guide-carousels .divider {
        margin: 2.5rem 0;
    }
}

@media screen and (width <= 620px) {
    .block-guide-carousels .carousel__head {
        margin-bottom: 1.875rem;
    }
    .block-guide-carousels .swiper-navigation {
        display: none;
    }
    .block-guide-carousels .cta-buttons {
        display: none;
    }
    .block-guide-carousels .block-head h2 {
        margin-bottom: 1.875rem;
    }
    .block-guide-carousels .swiper-slide {
        padding: 1.375rem;
        /* aspect-ratio: 1.48; */
        min-height: 10.9375rem;
    }
    .block-guide-carousels .swiper-slide .post__excerpt {
        margin-top: 0.9375rem;
        margin-bottom: 2.9375rem;
    }
    .block-guide-carousels .swiper-slide .post__tag {
        border-radius: 0.3125rem;
        padding: 0.375rem 0.5rem;
    }
    .block-guide-carousels .post__tag--icon {
        width: 1.25rem;
        height: 1.25rem;
        border-radius: 0.3125rem;
    }
    .block-guide-carousels .swiper-slide .post__tags {
        gap: 0.375rem;
    }
    .block-guide-carousels .block-head .text-content {
        max-width: 100%;
    }
}